program vulcan;

uses crush13h,crt;

{type pixx=record
               x,y,z,c:integer;
         end;}

var c:char;
    x,y,a:integer;
   { pix:array [0..319,0..199] of pixx;}

{procedure laydownpixels(where:word);
begin
     for xx:=0 to 64000 do putpixel (pix[xx].x,pix[xx].y,pix[xx].z,where);
{end;}

begin
     video_mode ( $13);
     initvirt;

     loadpcx ('wave5.pcx',vp[2]);

     repeat
      move (mem[vp[2]:0],mem[vga:0],64000);
      if keypressed=true then c:=readkey;
     until c=#27;
     c:=' ';

     for x:=0 to 319 do for y:=0 to 199 do
          mem[vp[1]:x+y*320]:=mem[vp[2]:x+(y div 2)*320];


     repeat
      move (mem[vp[1]:0],mem[vga:0],64000);
      if keypressed=true then c:=readkey;
     until c=#27;


     closevirt;
     video_mode ( 03);
end.